org.apache.tools.ant.taskdefs.optional.depend.constantpool

## Class MethodRefCPInfo

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
  - - org.apache.tools.ant.taskdefs.optional.depend.constantpool.MethodRefCPInfo

    public class MethodRefCPInfo
    extends ConstantPoolEntry

A MethodRef CP Info

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_INVOKEDYNAMIC, CONSTANT_LONG, CONSTANT_METHODHANDLE, CONSTANT_METHODREF, CONSTANT_METHODTYPE, CONSTANT_NAMEANDTYPE, CONSTANT_STRING, CONSTANT_UTF8`

### Constructor Summary

Constructors
Constructor and Description
`MethodRefCPInfo()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMethodClassName()` Get the name of the class defining the method
`java.lang.String` `getMethodName()` Get the name of the method.
`java.lang.String` `getMethodType()` Get the type signature of the method.
`void` `read(java.io.DataInputStream cpStream)` read a constant pool entry from a class stream.
`void` `resolve(ConstantPool constantPool)` Resolve this constant pool entry with respect to its dependents in the constant pool.
`java.lang.String` `toString()` Print a readable version of the constant pool entry.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`getNumEntries, getTag, isResolved, readEntry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodRefCPInfo

    public MethodRefCPInfo()

Constructor.

### Method Detail

#### read

    public void read(java.io.DataInputStream cpStream)
              throws java.io.IOException

read a constant pool entry from a class stream.

Specified by:
  `read` in class `ConstantPoolEntry`
Parameters:
  `cpStream` - the DataInputStream which contains the constant pool entry to be read.
Throws:
  `java.io.IOException` - if there is a problem reading the entry from the stream.

#### toString

    public java.lang.String toString()

Print a readable version of the constant pool entry.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the string representation of this constant pool entry.

#### resolve

    public void resolve(ConstantPool constantPool)

Resolve this constant pool entry with respect to its dependents in the constant pool.

Overrides:
  `resolve` in class `ConstantPoolEntry`
Parameters:
  `constantPool` - the constant pool of which this entry is a member and against which this entry is to be resolved.

#### getMethodClassName

    public java.lang.String getMethodClassName()

Get the name of the class defining the method

Returns:
  the name of the class defining this method

#### getMethodName

    public java.lang.String getMethodName()

Get the name of the method.

Returns:
  the name of the method.

#### getMethodType

    public java.lang.String getMethodType()

Get the type signature of the method.

Returns:
  the type signature of the method.